BARCODE(1)

NAME
barcode - a standalone program to convert text strings to printed bars

SYNOPSIS
barcode [[-b - | string] | [-i - | input_file]] [-e encoding] [-o - | outfile] [ other-flags ]

DESCRIPTION
This manual page documents briefly the barcode command as provided by barcode package.

GNU barcode is a standalone program that converts text strings to printed bars. It is able to read user supplied strings from the command line or a data file (standard input by default) and encode all of them.

OPTIONS

barcode accepts the following options:

--help or -h
    Print a usage summary and exit.

-i <arg>
    Specify input file (strings to encode), default is stdin

-o <arg>
    Specify output file, default is stdout

-b <arg>
    Specify string to encode (use input file if missing)

-e <arg>
    Specify encoding type (default is best fit for first string)

-u <arg>
    Specify unit to be used ("mm", "in", ...). This option is used to decode -g, -t and -p.

-g <arg>
    Specify geometry on the page: [<wid>x<hei>][+<margin>+<margin>]

-t <arg>
    Specify table geometry: <cols>x<lines>[+<margin>+<margin>]

-m <arg>
    Specify internal margin for each item in a table: <xm>[,<ym>]

-n  Be "numeric": avoid printing text along with the bars

-c  no Checksum character, if the chosen encoding allows it

-E  Print one code as eps file (default: multi-page ps)

-S  Print one code as svg file (default: multi-page ps)

-P  Create PCL output instead of postscript

-p <arg>
    Specify page size. Please refer to texinfo doc for more information.

-s  Use streaming mode. Please refer to texinfo doc for more information.

ENCODING TYPES

The program encodes text strings passed either on the command line (with -b) or retrieved from standard input. The text representation is interpreted according to certain rules. Please refer to texinfo doc as described below for detail introduction.

To get a list of supported encoding type names, please call the program with "-h" option.

REPORTING BUGS

Please mail bug reports and suggestions to bug-barcode@gnu.org or submit them onto its Bug Tracker on https://savannah.gnu.org/projects/barcode .

Please report Debian-specific bugs using Debian Bug Tracking System.

SEE ALSO

Full documentation of GNU barcode is available as a texinfo document provided by the authors. Please call info barcode to read it after having GNU Info documentation reader installed.

Project homepage: https://www.gnu.org/software/barcode/

AUTHOR

Alessandro Rubini (rubini@gnu.org)(maintainer)
Leonid A. Broukhis (leob@mailcom.com)(several encodings)
Andrea Scopece (a.scopece@tin.it)(PCL output)

This manual page is written by Boyuan Yang (byang@debian.org) for the Debian Project (but may be used by others).